org.labkey.remoteapi.query

## Enum Filter.Operator

- java.lang.Object
- - java.lang.Enum<Filter.Operator>
  - - org.labkey.remoteapi.query.Filter.Operator

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Filter.Operator>
  Enclosing class:
    Filter

      public static enum Filter.Operator
      extends java.lang.Enum<Filter.Operator>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BETWEEN`
    `CONTAINS`
    `CONTAINS_NONE_OF`
    `CONTAINS_ONE_OF`
    `DATE_EQUAL`
    `DATE_GT`
    `DATE_GTE`
    `DATE_LT`
    `DATE_LTE`
    `DATE_NOT_EQUAL`
    `DOES_NOT_CONTAIN`
    `DOES_NOT_START_WITH`
    `EQUAL`
    `GT`
    `GTE`
    `IN`
    `ISBLANK`
    `LT`
    `LTE`
    `MEMBER_OF`
    `MV_INDICATOR`
    `NEQ`
    `NEQ_OR_NULL`
    `NO_MV_INDICATOR`
    `NON_BLANK` Deprecated.
    `NONBLANK`
    `NOT_BETWEEN`
    `NOT_IN`
    `STARTS_WITH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCaption()` Deprecated.
    `java.lang.String` | `getDisplayValue()`
    `java.lang.String` | `getName()` Deprecated.
    `static Filter.Operator` | `getOperator(java.lang.String programmaticName)`
    `java.lang.String` | `getProgrammaticName()`
    `java.lang.String` | `getUrlKey()`
    `boolean` | `isDataValueRequired()`
    `boolean` | `isValueRequired()` Deprecated.
    `static Filter.Operator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Filter.Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUAL

          public static final Filter.Operator EQUAL

    - #### DATE_EQUAL

          public static final Filter.Operator DATE_EQUAL

    - #### NEQ

          public static final Filter.Operator NEQ

    - #### DATE_NOT_EQUAL

          public static final Filter.Operator DATE_NOT_EQUAL

    - #### NEQ_OR_NULL

          public static final Filter.Operator NEQ_OR_NULL

    - #### GT

          public static final Filter.Operator GT

    - #### DATE_GT

          public static final Filter.Operator DATE_GT

    - #### LT

          public static final Filter.Operator LT

    - #### DATE_LT

          public static final Filter.Operator DATE_LT

    - #### GTE

          public static final Filter.Operator GTE

    - #### DATE_GTE

          public static final Filter.Operator DATE_GTE

    - #### LTE

          public static final Filter.Operator LTE

    - #### DATE_LTE

          public static final Filter.Operator DATE_LTE

    - #### STARTS_WITH

          public static final Filter.Operator STARTS_WITH

    - #### DOES_NOT_START_WITH

          public static final Filter.Operator DOES_NOT_START_WITH

    - #### CONTAINS

          public static final Filter.Operator CONTAINS

    - #### DOES_NOT_CONTAIN

          public static final Filter.Operator DOES_NOT_CONTAIN

    - #### CONTAINS_ONE_OF

          public static final Filter.Operator CONTAINS_ONE_OF

    - #### CONTAINS_NONE_OF

          public static final Filter.Operator CONTAINS_NONE_OF

    - #### IN

          public static final Filter.Operator IN

    - #### NOT_IN

          public static final Filter.Operator NOT_IN

    - #### BETWEEN

          public static final Filter.Operator BETWEEN

    - #### NOT_BETWEEN

          public static final Filter.Operator NOT_BETWEEN

    - #### MEMBER_OF

          public static final Filter.Operator MEMBER_OF

    - #### ISBLANK

          public static final Filter.Operator ISBLANK

    - #### NON_BLANK

          @Deprecated
          public static final Filter.Operator NON_BLANK

      Deprecated.

    - #### NONBLANK

          public static final Filter.Operator NONBLANK

    - #### MV_INDICATOR

          public static final Filter.Operator MV_INDICATOR

    - #### NO_MV_INDICATOR

          public static final Filter.Operator NO_MV_INDICATOR

  - ### Method Detail

    - #### values

          public static Filter.Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Filter.Operator c : Filter.Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Filter.Operator valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDisplayValue

          public java.lang.String getDisplayValue()

    - #### getUrlKey

          public java.lang.String getUrlKey()

    - #### isDataValueRequired

          public boolean isDataValueRequired()

    - #### getProgrammaticName

          public java.lang.String getProgrammaticName()

    - #### getOperator

          public static Filter.Operator getOperator(java.lang.String programmaticName)

    - #### getCaption

          @Deprecated
          public java.lang.String getCaption()

      Deprecated.

    - #### getName

          @Deprecated
          public java.lang.String getName()

      Deprecated.

    - #### isValueRequired

          @Deprecated
          public boolean isValueRequired()

      Deprecated.